<?php
namespace Models;

// Модель Пользовательских групп
class Usergroups extends \DB\SQL\Mapper {
	public $db;

	public function __construct($db) {
		parent::__construct($db, 'usergroups' ); // подключаемся к таблице пользовательских групп
		$this->db=$db;
	}

	// Сохранение группы
	function save_group($data, $action='add') {
		if(!isset($data['title'])) {
			return array(
				'success'=>false,
				'txt'=>'not_enough_data'
			);
		}

		$this->reset();
		if($action=='change' && $data['id']) {
			$this->load(array('id=?', $data['id']));
		}

		$this->copyFrom($data);
		if($this->save()===false) {
			return array(
				'success'=>false,
				'txt'=>'db_error'
			);
		}
		$this->reset();
		return array(
			'success'=>true,
			'txt'=>'save_successful'
		);
	}

	function select_groups($query=null, $options=null) {
		$this->reset();
		$this->load($query, $options);
		$groups=array();
		if(!$this->dry()) {
			do {
				$groups[]=$this->cast();
			}
			while ($this->skip());
		}
		return $groups;
	}
}
